#include <libraries/mui.h>
#include <proto/muimaster.h>
#include <clib/exec_protos.h>
#include <exec/memory.h>
#include <clib/alib_protos.h>

struct ObjApp
{
	APTR	App;
	APTR	WI_Main;
	APTR	MN_label_1;
	APTR	SiteName;
	APTR	SelectSiteSaved;
	APTR	Type;
	APTR	Version;
	APTR	Date;
	APTR	Time;
	APTR	NumTelephone;
	APTR	Password;
	APTR	MessageTextNum0;
	APTR	MessageTextNum1;
	APTR	MessageTextNum2;
	APTR	MessageTextNum3;
	APTR	MessageTextNum4;
	APTR	MessageTextNum5;
	APTR	MessageTextNum6;
	APTR	MessageTextNum7;
	APTR	ListEtats;
	APTR	ListJournal;
	APTR	ChoixTraces;
	APTR	Trace_DateStart;
	APTR	Trace_TimeStart;
	APTR	Trace_RangeDown;
	APTR	Trace_Range;
	APTR	Trace_RangeUp;
	APTR	Trace_DateEnd;
	APTR	Trace_TimeEnd;
	APTR	GR_TRACES_MODE;
	APTR	ListTraceNum;
  APTR  GraphTrace; //MLD
	APTR	Connect;
	APTR	Disconnect;
	APTR	ComState;
	APTR	ComTime;
	APTR	WI_Prefs;
	APTR	Prefs_InitStringModem;
	APTR	Prefs_Device;
	APTR	Prefs_Unit;
	APTR	Prefs_Vitesse;
	APTR	Prefs_RecupJournal;
	APTR	Prefs_RecupTraces;
	APTR	Prefs_RecupMessages;
	APTR	Prefs_Monitor;
	APTR	Prefs_Monitor_Type;
	APTR	Prefs_Save;
	APTR	Prefs_Use;
	APTR	Prefs_Cancel;
	APTR	WI_SelectSite;
	APTR	ListSavedSites;
	char *	STR_SiteName;
	char *	STR_Type;
	char *	STR_Version;
	char *	STR_Date;
	char *	STR_Time;
	char *	STR_ComState;
	char *	STR_ComTime;
	char *	STR_GR_grp_VISU[5];
	char *	ChoixTracesContent[2];
	char *	Trace_RangeContent[6];
	char *	STR_GR_TRACES_MODE[3];
	char *	Prefs_VitesseContent[6];
	char *	Prefs_Monitor_TypeContent[4];
};

#define ID_BUTTON_CONNECT 1
#define ID_BUTTON_DISCONNECT 2
#define ID_MENU_ABOUT 3
#define ID_PREFS_CHANGED 4
#define ID_MENU_ABOUTMUI 5
#define ID_MENU_PREFSMUI 6
#define ID_PREFS_TOSAVE 7
#define ID_TRACE_START 8
#define ID_TRACE_RANGEDOWN 9
#define ID_TRACE_RANGEUP 10
#define ID_TRACE_NEWRANGE 11
#define ID_TRACE_END 12
#define ID_TRACE_REFRESH 13
#define ID_PREFS_WINDOWOPENED 14
#define ID_SAVED_SITE_SELECTED 15
#define ID_SAVED_SITE_LOAD 16

extern struct ObjApp * CreateApp(void);
extern void DisposeApp(struct ObjApp *);
